function po = cobs_prob(ocpt, obs)

cjk = ocpt(:,:,1);
mu = ocpt(:,:,2);
sigma2 = ocpt(:,:,3);
%assert(isempty(find(sigma2 <= 0)),'incorrect variances');
K = find(sigma2 > 0); % drop offending term for which the variance is 0
b = sigma2(K);

a = (obs - mu(K));
a = a .^ 2;
a = a ./ b;
a = a / 2;
a = exp(a);
a = a .* sqrt(b);
a = a * sqrt(2 * 3.14159265);
a = 1 ./ a;
a = a .* cjk(K);

po = zeros(size(sigma2));
po(K) = a;

return;

function y = my_exp(x) 

% assume x < 0
assert(x < 0, 'incorrect input x');
m1 = x >= -0.00001;
m2 = (x < -0.00001) & (x > -11.5129);
m3 = x <= -11.5129;

y = zeros(size(x));
y(m1==1) = 1;
y(m2==1) = exp(x(m2==1));
y(m3==1) = 0;

return;
