function y = scale(x, a, b)

% function y = scale(x, a, b)
%   scale each element of x to be within [a, b], the max element becomes
%   b and the min element a after scaling

m = min(x(:));
M = max(x(:));

y = (x - m) * (b - a) / (M - m) + a;

return;
